<script>
	import '../../tailwind.css';
	import '../../app.css';

	import Sidebar from '$lib/Dashboard/Sidebar.svelte';
	import Header from '$lib/Dashboard/Header.svelte';
	import { dashboardStation } from '$lib/preferences';
	import PeriodSelector from './_PeriodSelector.svelte';

	let sidebar;
</script>

<svelte:head>
	<title>Tableau de bord | Mon Infoclimat.fr</title>
</svelte:head>

<div class="h-screen flex overflow-hidden bg-gray-100">
	<Sidebar bind:this={sidebar} />

	<div class="flex flex-col w-0 flex-1 overflow-hidden">
		<Header on:open-sidebar={sidebar.open()} />

		<main class="flex-1 relative z-0 overflow-y-auto focus:outline-none">
			<div class="py-6">
				{#if $dashboardStation}
					<div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8 flex	justify-between">
						<div>
							<h1 class="text-2xl font-semibold text-gray-900">{$dashboardStation.name}</h1>
							<p class="text-gray-400 font-semibold">
								lat: {$dashboardStation.latitude}
								long: {$dashboardStation.longitude}
							</p>
						</div>

						<PeriodSelector />
					</div>

					<slot />
				{:else}
					<div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8 text-center">
						<h1 class="text-xl text-gray-400">
							Veuillez selectionner une station pour afficher des données
						</h1>
					</div>
				{/if}
			</div>
		</main>
	</div>
</div>
